class relighting_PostProcessor : LevelPostProcessor
{
	// add sector tags by flat name
	protected void Apply(Name checksum, String mapname)
	{
		bool rl_reflections = CVar.FindCvar("rl_reflections").GetBool();
		if (rl_reflections)
		{

			TexMan texture;
			let rl_reflections = new("rlClass_WadLump");
			rl_reflections.get("rl_reflections");

			Array<string> tidNames;
			Array<int> tids;

			int FLOOR = 0;
			for (int i = 0; i < Level.Sectors.Size(); i++)
			{
				textureid floorid = Level.Sectors[i].GetTexture(FLOOR);
				int findex = rl_reflections.names.Find(texture.GetName(floorid));
				if (findex != rl_reflections.names.Size())
				{
					int tindex = tidNames.Find(texture.GetName(floorid));
					if (tindex != tidNames.Size())
					{
						AddSectorTag(i, tids[tindex]);
					}
					else
					{
						int tid = Level.FindUniqueTID();
						tidNames.Push(texture.GetName(floorid));
						tids.Push(tid);
						AddSectorTag(i, tid);
					}
				}
			}
			string rl_tid = "";
			for (int i = 0; i < tidNames.Size(); i++)
			{
				rl_tid = String.Format("%s|%s|%d|", rl_tid, tidNames[i], tids[i]);
			}
			CVar.FindCvar("rl_tid").SetString(rl_tid);
		}
	}
}
